Index: code/branches/presentation2012merge/data/levels/SurfaceRacePresentation.oxw
===================================================================
--- code/branches/presentation2012merge/data/levels/SurfaceRacePresentation.oxw	(revision 9271)
+++ code/branches/presentation2012merge/data/levels/SurfaceRacePresentation.oxw	(revision 9272)
@@ -16,5 +16,5 @@
   include("templates/spaceshipSpacecruiser.oxt")
   include("templates/pickupRepresentationTemplates.oxt")
- 
+
 ?>
 
@@ -56,6 +56,6 @@
     <Model position="4200,8050,-1000" scale=10 mesh="debris-pile02.mesh" shadow=true />
     <Model position="4200,8050,-1000" scale=10 mesh="debris-pile03.mesh" shadow=true />
-    
-	<MovableEntity position="-700,8090,-300" velocity="80,0,0" rotationaxis="1,0,1" rotationrate=200>
+
+    <MovableEntity position="-700,8090,-300" velocity="80,0,0" rotationaxis="1,0,1" rotationrate=200>
       <attached>
         <Model position="0,0,-20" scale=10 mesh="cokebottle.mesh" />
@@ -65,18 +65,18 @@
 
 <SpaceRaceManager>
- <checkpoints>	
-	<RaceCheckPoint name="checkpoint1" position="0,8050,-1000" direction="0,1,0" collisionType="static" scale="4" distance="150" checkpointindex="0" islast="false" nextcheckpoints="1,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-	<collisionShapes>
-            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
-            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-        </collisionShapes>
-    </RaceCheckPoint>
-    
-	<RaceCheckPoint name="checkpoint2" position="1000,8050,-4000" direction="0,1,0" roll="45" collisionType="static" scale="4" distance="150" checkpointindex="1" islast="false" nextcheckpoints="2,-1,-1">
+ <checkpoints>
+    <RaceCheckPoint name="checkpoint1" position="0,8050,-1000" direction="0,1,0" collisionType="static" scale="4" distance="150" checkpointindex="0" islast="false" nextcheckpoints="1,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+    <collisionShapes>
+            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
+            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
+        </collisionShapes>
+    </RaceCheckPoint>
+
+    <RaceCheckPoint name="checkpoint2" position="1000,8050,-4000" direction="0,1,0" roll="45" collisionType="static" scale="4" distance="150" checkpointindex="1" islast="false" nextcheckpoints="2,-1,-1">
         <attached>
             <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
@@ -90,17 +90,17 @@
     </RaceCheckPoint>
 
-	<RaceCheckPoint name="checkpoint3" position="3000,8050,-4000" direction="0,1,0" roll="-45" collisionType="static" scale="4" distance="150" checkpointindex="2" islast="false" nextcheckpoints="3,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-       <collisionShapes>
-            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
-            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-        </collisionShapes>
-    </RaceCheckPoint>
-
-	<RaceCheckPoint name="checkpoint4" position="4000,8050,-1000" direction="0,1,0" roll="0" collisionType="static" scale="4" distance="150" checkpointindex="3" islast="false" nextcheckpoints="4,-1,-1">
+    <RaceCheckPoint name="checkpoint3" position="3000,8050,-4000" direction="0,1,0" roll="-45" collisionType="static" scale="4" distance="150" checkpointindex="2" islast="false" nextcheckpoints="3,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+       <collisionShapes>
+            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
+            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
+        </collisionShapes>
+    </RaceCheckPoint>
+
+    <RaceCheckPoint name="checkpoint4" position="4000,8050,-1000" direction="0,1,0" roll="0" collisionType="static" scale="4" distance="150" checkpointindex="3" islast="false" nextcheckpoints="4,-1,-1">
         <attached>
             <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
@@ -114,5 +114,5 @@
     </RaceCheckPoint>
 
-	<RaceCheckPoint name="checkpoint5" position="4000,8050,0" direction="0,1,0" roll="0" collisionType="static" scale="4" distance="150" checkpointindex="4" islast="false" nextcheckpoints="5,-1,-1">
+    <RaceCheckPoint name="checkpoint5" position="4000,8050,0" direction="0,1,0" roll="0" collisionType="static" scale="4" distance="150" checkpointindex="4" islast="false" nextcheckpoints="5,-1,-1">
         <attached>
             <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
@@ -126,17 +126,17 @@
     </RaceCheckPoint>
 
-	<RaceCheckPoint name="checkpoint6" position="3000,8050,1000" direction="0,1,0" roll="45" collisionType="static" scale="4" distance="150" checkpointindex="5" islast="false" nextcheckpoints="6,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-       <collisionShapes>
-            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
-            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-        </collisionShapes>
-    </RaceCheckPoint>
-
-	<RaceCheckPoint name="checkpoint7" position="0,8050,2000" direction="0,1,0" roll="90" collisionType="static" scale="4" distance="150" checkpointindex="6" islast="false" nextcheckpoints="7,-1,-1">
+    <RaceCheckPoint name="checkpoint6" position="3000,8050,1000" direction="0,1,0" roll="45" collisionType="static" scale="4" distance="150" checkpointindex="5" islast="false" nextcheckpoints="6,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+       <collisionShapes>
+            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
+            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
+        </collisionShapes>
+    </RaceCheckPoint>
+
+    <RaceCheckPoint name="checkpoint7" position="0,8050,2000" direction="0,1,0" roll="90" collisionType="static" scale="4" distance="150" checkpointindex="6" islast="false" nextcheckpoints="7,-1,-1">
         <attached>
             <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
@@ -150,17 +150,17 @@
     </RaceCheckPoint>
 
-	<RaceCheckPoint name="checkpoint8" position="-4000,8050,3000" direction="0,1,0" roll="45" collisionType="static" scale="4" distance="150" checkpointindex="7" islast="false" nextcheckpoints="8,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-       <collisionShapes>
-            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
-            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-        </collisionShapes>
-    </RaceCheckPoint>
-
-	<RaceCheckPoint name="checkpoint9" position="-4000,8050,5000" direction="0,1,0" roll="-45" collisionType="static" scale="4" distance="150" checkpointindex="8" islast="false" nextcheckpoints="9,-1,-1">
+    <RaceCheckPoint name="checkpoint8" position="-4000,8050,3000" direction="0,1,0" roll="45" collisionType="static" scale="4" distance="150" checkpointindex="7" islast="false" nextcheckpoints="8,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+       <collisionShapes>
+            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
+            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
+        </collisionShapes>
+    </RaceCheckPoint>
+
+    <RaceCheckPoint name="checkpoint9" position="-4000,8050,5000" direction="0,1,0" roll="-45" collisionType="static" scale="4" distance="150" checkpointindex="8" islast="false" nextcheckpoints="9,-1,-1">
         <attached>
             <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
@@ -174,29 +174,29 @@
     </RaceCheckPoint>
 
-	<RaceCheckPoint name="checkpoint10" position="-3000,8050,6000" direction="0,1,0" roll="90" collisionType="static" scale="4" distance="150" checkpointindex="9" islast="false" nextcheckpoints="10,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-       <collisionShapes>
-            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
-            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-        </collisionShapes>
-    </RaceCheckPoint>
-
-	<RaceCheckPoint name="checkpoint11" position="0,8050,6000" direction="0,1,0" roll="90" collisionType="static" scale="4" distance="120" checkpointindex="10" islast="false" nextcheckpoints="11,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-       <collisionShapes>
-            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
-            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-        </collisionShapes>
-    </RaceCheckPoint>
-
-	<RaceCheckPoint name="checkpoint12" position="6000,8050,6000" direction="0,1,0" roll="45" collisionType="static" scale="4" distance="150" checkpointindex="11" islast="false" nextcheckpoints="12,-1,-1">
+    <RaceCheckPoint name="checkpoint10" position="-3000,8050,6000" direction="0,1,0" roll="90" collisionType="static" scale="4" distance="150" checkpointindex="9" islast="false" nextcheckpoints="10,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+       <collisionShapes>
+            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
+            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
+        </collisionShapes>
+    </RaceCheckPoint>
+
+    <RaceCheckPoint name="checkpoint11" position="0,8050,6000" direction="0,1,0" roll="90" collisionType="static" scale="4" distance="120" checkpointindex="10" islast="false" nextcheckpoints="11,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+       <collisionShapes>
+            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
+            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
+        </collisionShapes>
+    </RaceCheckPoint>
+
+    <RaceCheckPoint name="checkpoint12" position="6000,8050,6000" direction="0,1,0" roll="45" collisionType="static" scale="4" distance="150" checkpointindex="11" islast="false" nextcheckpoints="12,-1,-1">
         <attached>
             <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
@@ -210,17 +210,17 @@
     </RaceCheckPoint>
 
-	<RaceCheckPoint name="checkpoint13" position="5500,8050,3000" direction="0,1,0" roll="0" collisionType="static" scale="4" distance="150" checkpointindex="12" islast="false" nextcheckpoints="13,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-       <collisionShapes>
-            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
-            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-        </collisionShapes>
-    </RaceCheckPoint>
-
-	<RaceCheckPoint name="checkpoint14" position="6000,8050,-5000" direction="0,1,0" roll="0" collisionType="static" scale="4" distance="150" checkpointindex="13" islast="true" >
+    <RaceCheckPoint name="checkpoint13" position="5500,8050,3000" direction="0,1,0" roll="0" collisionType="static" scale="4" distance="150" checkpointindex="12" islast="false" nextcheckpoints="13,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+       <collisionShapes>
+            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
+            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
+        </collisionShapes>
+    </RaceCheckPoint>
+
+    <RaceCheckPoint name="checkpoint14" position="6000,8050,-5000" direction="0,1,0" roll="0" collisionType="static" scale="4" distance="150" checkpointindex="13" islast="true" >
         <attached>
             <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
@@ -238,29 +238,29 @@
  <SpawnPoint team=0 position="0,8050,0" lookat="0,8000,-8000" spawnclass=SpaceShip pawndesign=shipselection />
 
-  
-	<!-- -----------------------Zylinder---------------------------- -->
+
+    <!-- -----------------------Zylinder---------------------------- -->
 <StaticEntity position="2750,8050,6000" direction="1,0,0" roll="90"  scale="4" collisionType=static mass=100000 friction=0.01 >
       <attached>
-	<Model position="0,0,0" mesh="cylinder.mesh" scale3D="100,100,400" />
-	<!--
-            	<Model position="0,80,600" mesh="testcube.mesh" scale3D="90,18,-600" />
-		<Model position="0,-80,600" mesh="testcube.mesh" scale3D="90,18,-600" />
-		<Model position="80,0,600" mesh="testcube.mesh" scale3D="18,90,-600" />
-		<Model position="-80,0,600" mesh="testcube.mesh" scale3D="18,09,-600" />
-	 -->
-
-      </attached>
-
-
- 	<collisionShapes>
-          
-            	
-		<BoxCollisionShape position="0,320,2400"            halfExtents="360,72,2400" />
-		<BoxCollisionShape position="0,-320,2400"      halfExtents="360,72,2400" />
-		<BoxCollisionShape position="320,0,2400"            halfExtents="72,360,2400" />
-		<BoxCollisionShape position="-320,0,2400"     halfExtents="72,360,2400" />
-            	
-
-	
+    <Model position="0,0,0" mesh="cylinder.mesh" scale3D="100,100,400" />
+    <!--
+                <Model position="0,80,600" mesh="testcube.mesh" scale3D="90,18,-600" />
+        <Model position="0,-80,600" mesh="testcube.mesh" scale3D="90,18,-600" />
+        <Model position="80,0,600" mesh="testcube.mesh" scale3D="18,90,-600" />
+        <Model position="-80,0,600" mesh="testcube.mesh" scale3D="18,09,-600" />
+    -->
+
+      </attached>
+
+
+    <collisionShapes>
+
+
+        <BoxCollisionShape position="0,320,2400"            halfExtents="360,72,2400" />
+        <BoxCollisionShape position="0,-320,2400"      halfExtents="360,72,2400" />
+        <BoxCollisionShape position="320,0,2400"            halfExtents="72,360,2400" />
+        <BoxCollisionShape position="-320,0,2400"     halfExtents="72,360,2400" />
+
+
+
         </collisionShapes>
 
@@ -270,16 +270,16 @@
 <StaticEntity position="4465,8050,-500" direction="0,0,0"   scale="1" collisionType=static mass=100000 friction=0.01 >
       <attached>
-	<Model position="0,0,0" mesh="blackcube.mesh" scale3D="450,600,50" />
+    <Model position="0,0,0" mesh="blackcube.mesh" scale3D="450,600,50" />
 <!--
-            	<Model position="0,0,0" mesh="testcube.mesh" scale3D="450,600,50" />
-		-->
-
-      </attached>
-
-
- 	<collisionShapes>
-          
-            	
-		<BoxCollisionShape position="0,0,0"            halfExtents="450,600,50" />
+                <Model position="0,0,0" mesh="testcube.mesh" scale3D="450,600,50" />
+        -->
+
+      </attached>
+
+
+    <collisionShapes>
+
+
+        <BoxCollisionShape position="0,0,0"            halfExtents="450,600,50" />
 
         </collisionShapes>
@@ -289,16 +289,16 @@
 <StaticEntity position="3535,8050,-500" direction="0,0,0"   scale="1" collisionType=static mass=100000 friction=0.01 >
       <attached>
-	<Model position="0,0,0" mesh="blackcube.mesh" scale3D="450,600,50" />
+    <Model position="0,0,0" mesh="blackcube.mesh" scale3D="450,600,50" />
 <!--
-            	<Model position="0,0,0" mesh="testcube.mesh" scale3D="450,600,50" />
-		 -->
-
-      </attached>
-
-
- 	<collisionShapes>
-          
-            	
-		<BoxCollisionShape position="0,0,0"            halfExtents="450,600,50" />
+                <Model position="0,0,0" mesh="testcube.mesh" scale3D="450,600,50" />
+        -->
+
+      </attached>
+
+
+    <collisionShapes>
+
+
+        <BoxCollisionShape position="0,0,0"            halfExtents="450,600,50" />
 
         </collisionShapes>
@@ -309,5 +309,5 @@
 
 
-	<!-- ------------------Boden----------------- -->
+    <!-- ------------------Boden----------------- -->
   <StaticEntity position="0,0,0" direction="0,0,0" collisionType=static mass=100000 friction=0.01>
      <attached>
@@ -317,5 +317,5 @@
         <BoxCollisionShape position="0,50,0" halfExtents="8000,8000,8000" />um j?:P"{
 
-      </collisionShapes> 
+      </collisionShapes>
 </StaticEntity>
 
@@ -351,8 +351,8 @@
     for i = 0, max, 1
     do
-	x=-12000
-	y=10000
-	z=-12000
- 
+    x=-12000
+    y=10000
+    z=-12000
+
     ?>
     <?lua
